@import url('https://fonts.googleapis.com/css2?family=Agbalumo&family=Josefin+Slab:ital,wght@0,100..700;1,100..700&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Titan+One&display=swap');

:root {
    --color-cyan: #a5fff6;
    --color-yellow: #fdfcb0;
    --color-pink: #ffafdf;
    --color-gray: #222627;
    --color-accent: #483b4d;
    --color-text-light: #fff;
    --color-text-dark: var(--color-gray);
    --font-heading: 'Titan One', 'Nunito', Helvetica, Arial, sans-serif;
    --font-heading-2: 'Agbalumo', 'Nunito', Helvetica, Arial, sans-serif;
    --font-text-big: 'Josefin Slab', 'Nunito', Helvetica, Arial, sans-serif;
    --font-text: 'Nunito', Helvetica, Arial, sans-serif;
    --max-width: 1920px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    min-height: 100%;
    font-size: clamp(0.6rem, 1.25rem, calc(0.25rem + 0.75vw));
    background: var(--color-yellow);
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100svh;
    color: var(--color-text-dark);
    font-family: var(--font-text);
}

main {
    display: flex;
    flex: 1;
    flex-direction: column;
    gap: 5rem;
    width: 100%;
}

main section {
    z-index: 10;
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: center;
    width: calc(100% - 4rem);
    max-width: var(--max-width);
    margin: 0 auto;
}

main article {
    width: 100%;
    max-width: var(--max-width);
}

h1,
h2 {
    margin: 0.5rem 0;
    font-family: var(--font-heading);
    font-weight: 500;
    line-height: 0.9;
    letter-spacing: 1px;
    text-transform: uppercase;
}

h1 {
    font-size: 8em;
}

h2 {
    font-size: 4.5em;
}

h3 {
    font-family: var(--font-heading-2);
    font-size: 3em;
    font-weight: 200;
    line-height: 1.2;
}

h4 {
    font-family: var(--font-text-big);
    font-size: 2.75em;
    font-weight: 600;
}

p {
    font-size: 1.5em;
    font-weight: 500;
    line-height: 1.5;
}

img {
    width: 100%;
    height: 100%;
    border-radius: 2rem;
    object-fit: cover;
}

@media (max-width: 768px) {
    main section {
        width: calc(100% - 2rem);
    }
}

@media (max-width: 480px) {
    main section {
        width: calc(100% - 1rem);
    }
}

@media (prefers-reduced-motion: reduce) {
    *,
    *::before,
    *::after {
        scroll-behavior: auto !important;
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
    }
}
